Uploaded image for project: 'Puppet'
  1. Puppet
  2. PUP-7615

puppet command leaks module command issues.

    XMLWordPrintable

Details

    • Improvement
    • Status: Closed
    • Normal
    • Resolution: Fixed
    • None
    • PUP 5.0.0
    • None
    • None
    • Hide

      That it is possible to squelch warnings about faulty metadata.json

      Show
      That it is possible to squelch warnings about faulty metadata.json
    • Agent
    • 1
    • Agent 2017-06-14
    • New Feature
    • Warnings from faulty metadata.json can now be turned off by setting {{\--strict=off}}.
    • Needs Assessment

    Description

      when invoking

      $ puppet facts (and various utils)
      Warning: vosp_wls has an invalid and unparsable metadata.json file. The parse error: 399: unexpected token at '],
        "data_provider": null
      }
      '
      Warning: wls_helpers has an invalid and unparsable metadata.json file. The parse error: 399: unexpected token at '{"name":"puppetlabs-lvm","version_requirement":">= 0.7.0"}
        ],
        "data_provider": null
      }
      '
      Warning: vosp_wls has an invalid and unparsable metadata.json file. The parse error: 399: unexpected token at '],
        "data_provider": null
      }
      '
      Warning: wls_helpers has an invalid and unparsable metadata.json file. The parse error: 399: unexpected token at '{"name":"puppetlabs-lvm","version_requirement":">= 0.7.0"}
        ],
        "data_provider": null
      }
      '
      

      These appear to be bleed from what I would expect in puppet module list can or should these be quashed in other utilities.

      Attachments

        Activity

          People

            Unassigned Unassigned
            adam.buxton Adam Buxton
            Votes:
            0 Vote for this issue
            Watchers:
            4 Start watching this issue

            Dates

              Created:
              Updated:
              Resolved:

              Zendesk Support